<!-- templates/layout.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Flask App{% endblock %}</title>
    <!-- Google Font: Lato -->
    <link href="https://fonts.googleapis.com/css2?family=Lato:wght@400;900&display=swap" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <style>
        body {
            font-family: 'Lato';
            background-color: {% block bg_color %}{% endblock %};
        }
        h1 {
            font-weight:900;
        }
        .white-color{
            color: white
        }
        .purple-text{
            color: rgb(90, 9, 165);
        }
        .card-header {
            font-weight: 900
        }
        .btn-purple  {
            background-color: blueviolet;
        }
        .btn-purple:hover  {
            background-color: rgb(103, 29, 172)
        }
        .btn-purple:active  {
            background-color: rgb(103, 29, 172)
        }
        .btn-audio {
            background-color: rgb(255, 132, 0);
            border:0
        }
        .btn-audio:hover {
            background-color: rgb(205, 106, 0);
        }
        .btn-audio {
            background-color: rgb({{custom_color}});
        }
        .shadow-custom {
            box-shadow: -0px 4px 10px rgba(0,0,0,.2);
        }
        .progress {
            height: 6px;
        }
        .progress-bar.disable {
            background: rgba(0,0,0, .2);
        }
        .confidence {
            background: rgb({{custom_color}}, .1);
            color: rgb({{custom_color}});
            font-weight: 700;
            font-size:.8rem;
            padding: 2px 8px;
            border-radius: 5rem;
        }
        .confidence.disable {
            background: rgba(0,0,0, .1);
            color: rgb(0,0,0,0.6);
        }
        .alert-purple, .alert-success, .alert-disable {
            padding-bottom: 0;
            padding-top: 10px;
        }
        .alert-purple {
            background:rgba(103, 29, 172, .15);
            border: 1.5px dashed rgba(103, 29, 172, 1);
        }
        .alert-disable {
            background:rgba(185, 185, 185, 0.15);
            border: 1.5px dashed rgb(98, 98, 98);
        }
        .alert.alert-audio {
            background-color: rgba({{custom_color}}, .2);
            border: 1px solid rgb({{custom_color}})
        }
        .navbar-custom {
            background-color: rgba(0,0,0,0); /* Customize the navbar color */
            border-bottom: 1px solid gray;
        }
        .navbar-custom .navbar-brand,
        .navbar-custom .nav-link {
            color: #000000; /* Customize the text color */
        }
        .navbar-custom .nav-link:hover {
            color: #f8f9fa; /* Customize the hover color */
        }
        .nav-link.active {
            position:relative;
        }
        .nav-link:hover {
            color: black !important
        }
        .nav-link.active::after {
            content: "";
            display: block;
            position: absolute;
            left: 0;
            right: 0;
            bottom: -5px; /* Space between text and line */
            border-bottom: 5px solid rgba({{custom_color}},.4); /* Line color and thickness */
        }
        .navbar-nav.ml-auto {
            margin-left: auto;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-custom">
        <div class="container">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link {% if request.endpoint == 'home' %} active{% endif %}" href="{{ url_for('home') }}">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if request.endpoint == 'text_classification' %} active{% endif %}" href="{{ url_for('text_classification') }}">Text Classification</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if request.endpoint == 'audio_classification' %} active{% endif %}" href="{{ url_for('audio_classification') }}">Audio Classification</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if request.endpoint == 'image_classification' %} active{% endif %}" href="{{ url_for('image_classification') }}">Image Classification</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if request.endpoint == 'get_recomendation' %} active{% endif %}" href="{{ url_for('get_recomendation') }}">Recommendation System</a>
                </li>
                <li class="nav-item ms-5">
                    <a class="nav-link {% if request.endpoint == 'user_info' %} active{% endif %}" href="{{ url_for('user_info') }}">User Info</a>
                </li>
            </ul>
        </div>
    </nav>
    <div class="container mt-5">
        {% block content %}{% endblock %}
        <a href="{{url_for('clear')}}" class="btn btn-primary btn-floating fixed-bottom rounded-5 pe-4 ps-4 fw-bold shadow-sm border border-1 border-danger" style="left: 1rem; bottom:1rem; width: fit-content;color:red !important; background:white !important">
            <i class="fa fa-refresh me-2"></i> Logout
        </a>
    </div>
    <!-- Bootstrap JS (optional, for interactive components) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
